*==============================================================================
* Program:				DEMOCHECKIDS.PRG
* Purpose:				Demonstrate health ID checker
* Copyright:			(c) 2010 Tamar E. Granor, Ph.D.
* Last revision:		01/22/10
*==============================================================================

LOCAL oIDChecker, lResult, aTests[6,2], cMessage
LOCAL cID, cProv, nTest

oIDChecker = NEWOBJECT("HealthIDCheckDigit", "CheckHealthIDs.PRG")

aTests[1,1] = "239475783"
aTests[1,2] = "NB"
aTests[2,1] = "239475783"
aTests[2,2] = "AB"
aTests[3,1] = "239475783"
aTests[3,2] = "MB"
aTests[4,1] = "239475781"
aTests[4,2] = "MB"
aTests[5,1] = "229781015016"
aTests[5,2] = "NL"
aTests[6,1] = "229781015016"
aTests[6,2] = "NB"

cMessage = "PHN validity check results" + CHR(13) + CHR(10) + CHR(13) + CHR(10)

FOR nTest = 1 TO 6
	cID = aTests[m.nTest,1]
	cProv = aTests[m.nTest, 2]
	
	lResult = oIDChecker.CheckID(m.cID, m.cProv)
	
	cMessage = m.cMessage + "PHN: " + m.cID + "; Province: " + m.cProv + "; Valid? " + IIF(m.lResult, "Y", "N") + CHR(13) + CHR(10)
ENDFOR 

MESSAGEBOX(m.cMessage)

RETURN
