* Purpose...: Load up the system tray control and display the icon.
* Author....: Toni M. Feltman
* Parameters: None
* Returns...: None
* Notes.....: We need to add the object reference to something global for this simple
*				demo or as soon as the program is done, the icon would be removed.
IF NOT PEMSTATUS(_SCREEN, 'oTray', 5)
	ADDPROPERTY(_SCREEN, 'oTray')
ELSE
	_SCREEN.oTray = NULL
ENDIF

_SCREEN.oTray = NEWOBJECT('base_cttraycontainer', 'basedbi.vcx')

WITH _screen.oTray.oleTray
	* Load the pictures.
	.TrayIcon1 = LOADPICTURE('images\document_refresh.ico')
	.TrayIcon2 = LOADPICTURE('images\document_stop.ico')
	.TrayIcon3 = LOADPICTURE('images\document_time.ico')
	.TrayIcon4 = LOADPICTURE('images\document_zoom_in.ico')
	
	* Set the default picture.
	.ActiveIcon = 1		&& Values 1-4
	
	* Display the icon in the system tray.
	.SetIcon()
	
ENDWITH

* Use the following line of code to remove the icon from the system tray.
*_SCREEN.oTray.oleTray.RemoveIcon()